
User Interface - Bug #2706

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

window title attribute is not honored

09/11/2015 03:02 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/11/2015 03:04 PM - Greg Shah

- File window_title_4gl_20150911.png added

- File window_title_p2j_swing_20150911.png added

The demo/simple_windows.p testcase assigns the title to a window that it creates.  In the 4GL, the result is this:

 

In P2J, we don't honor the title so it looks like this:

 

This is in the trunk revision 10935.
#2 - 10/08/2015 04:49 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

#3 - 10/08/2015 05:33 PM - Constantin Asofiei

I think I've already covered this one during the #2716 multi-window focus support, which is part of 1811r now (forgot to mention it).

Eugenie: please check demo/simple_windows.p (and maybe some other tests, i.e. changing the title via a trigger, etc). If these work, then the task is

OK.

#4 - 10/09/2015 08:05 AM - Greg Shah

- Target version set to Milestone 12

- Status changed from New to Closed

I just tested this.  You're right.  I tested rev 10969 of 1811r and the title attribute is now working.  It is also showing up in the taskbar... which we

thought was broken in the JDK.  Nice!

#5 - 11/10/2015 04:56 AM - Greg Shah

- % Done changed from 0 to 100

#6 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

window_title_4gl_20150911.png 2.77 KB 09/11/2015 Greg Shah

window_title_p2j_swing_20150911.png 5.03 KB 09/11/2015 Greg Shah
